
Infrastructure - Task #1250

Bug # 1202 (Closed): java d1 client create() implementation not to spec.

refactor create servlet to accept the new call

2011-01-24 17:01 - Rob Nahf

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.11-Block.2   

Milestone:  Story Points:  

Product Version: *   

Description

Can test using mn.create2(..) method, and D1ClientTest.testCreateData_CurrentRestFormat().

History

#1 - 2011-03-01 18:01 - Rob Nahf

- Assignee set to Rob Nahf

- translation missing: en.field_remaining_hours set to 4.0

#2 - 2011-03-02 05:59 - Rob Nahf

edited ResponseHandler.putObject() so that POST (create) gets the pid from the mimemultipart parameters instead of the path.  Changed

obsoletedGuid to obsoletedPid, in the update section, corrected a couple detail codes, and added a uniqueness check on the new pid in the case of

update.  Still need to test and check in.

#3 - 2011-03-02 18:48 - Rob Nahf

- Status changed from New to Closed

decided not to remove the pid from the end of the POST url path.  So no need to change mn.create() from the existing implementation.  Other

changes in metacat ResponseHandler are still valid and should be checked in.
